it.reply.healty.innovapuglia.mstaccuino

## Class ApplicationConstants

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.ApplicationConstants

-     public final class ApplicationConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<String>` | `CONSULTING_SERVICES`
    `static String` | `HTTP_HEADER_SOAP_ACTION`
    `static String` | `HTTP_HEADER_TRANSACTION_ID`
    `static String` | `NS_PREFIX_TACCUINO`
    `static String` | `NS_TACCUINO`
    `static String` | `PERMISSION_GEN`
    `static String` | `PERMISSION_TER`
    `static String` | `PERMISSION_TUT`
    `static String` | `ROLE_AMMINISTRATIVO`
    `static String` | `ROLE_MEDICO_OSPEDALE`
    `static String` | `ROLE_MEDICO_PS`
    `static String` | `ROLE_MEDICO_RSA`
    `static String` | `ROLE_MMG_PLS`
    `static String` | `ROLE_PORTALE_SALUTE`
    `static String` | `ROLE_SPEC_AMBULATORIO`
    `static String` | `ROLE_SPEC_OSPEDALE`
    `static List<String>` | `ROLES_READONLY`
    `static List<String>` | `ROLES_READWRITE`
    `static String` | `SAML_ATT_NAME_ACTION_ID`
    `static String` | `SAML_ATT_NAME_APPLICATION_CREATED`
    `static String` | `SAML_ATT_NAME_APPLICATION_DIGEST`
    `static String` | `SAML_ATT_NAME_APPLICATION_ID`
    `static String` | `SAML_ATT_NAME_APPLICATION_NONCE`
    `static String` | `SAML_ATT_NAME_APPLICATION_VENDOR`
    `static String` | `SAML_ATT_NAME_APPLICATION_VERSION`
    `static String` | `SAML_ATT_NAME_LOCALITY`
    `static String` | `SAML_ATT_NAME_ORGANIZATION`
    `static String` | `SAML_ATT_NAME_ORGANIZATION_ID`
    `static String` | `SAML_ATT_NAME_PERMISSION`
    `static String` | `SAML_ATT_NAME_PURPOSE_OF_USE`
    `static String` | `SAML_ATT_NAME_RESOURCE_ID`
    `static String` | `SAML_ATT_NAME_SUBJECT_ID`
    `static String` | `SAML_ATT_NAME_SUBJECT_ROLE`
    `static String` | `SAML_ATT_NAME_TYPE_OF_CARE`
    `static String` | `SAML_ID_APPLICATIVE_ASSERTION`
    `static String` | `SAML_ID_AUTHORIZATION_ASSERTION`
    `static String` | `SAML_ID_IDENTITY_ASSERTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONSULTING_SERVICES

          public static final List<String> CONSULTING_SERVICES

    - #### SAML_ID_APPLICATIVE_ASSERTION

          public static final String SAML_ID_APPLICATIVE_ASSERTION

      See Also:
        Constant Field Values

    - #### SAML_ID_IDENTITY_ASSERTION

          public static final String SAML_ID_IDENTITY_ASSERTION

      See Also:
        Constant Field Values

    - #### SAML_ID_AUTHORIZATION_ASSERTION

          public static final String SAML_ID_AUTHORIZATION_ASSERTION

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_APPLICATION_ID

          public static final String SAML_ATT_NAME_APPLICATION_ID

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_APPLICATION_VENDOR

          public static final String SAML_ATT_NAME_APPLICATION_VENDOR

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_APPLICATION_VERSION

          public static final String SAML_ATT_NAME_APPLICATION_VERSION

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_APPLICATION_NONCE

          public static final String SAML_ATT_NAME_APPLICATION_NONCE

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_APPLICATION_DIGEST

          public static final String SAML_ATT_NAME_APPLICATION_DIGEST

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_APPLICATION_CREATED

          public static final String SAML_ATT_NAME_APPLICATION_CREATED

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_ACTION_ID

          public static final String SAML_ATT_NAME_ACTION_ID

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_TYPE_OF_CARE

          public static final String SAML_ATT_NAME_TYPE_OF_CARE

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_PURPOSE_OF_USE

          public static final String SAML_ATT_NAME_PURPOSE_OF_USE

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_SUBJECT_ID

          public static final String SAML_ATT_NAME_SUBJECT_ID

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_ORGANIZATION_ID

          public static final String SAML_ATT_NAME_ORGANIZATION_ID

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_ORGANIZATION

          public static final String SAML_ATT_NAME_ORGANIZATION

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_SUBJECT_ROLE

          public static final String SAML_ATT_NAME_SUBJECT_ROLE

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_PERMISSION

          public static final String SAML_ATT_NAME_PERMISSION

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_LOCALITY

          public static final String SAML_ATT_NAME_LOCALITY

      See Also:
        Constant Field Values

    - #### SAML_ATT_NAME_RESOURCE_ID

          public static final String SAML_ATT_NAME_RESOURCE_ID

      See Also:
        Constant Field Values

    - #### PERMISSION_GEN

          public static final String PERMISSION_GEN

      See Also:
        Constant Field Values

    - #### PERMISSION_TUT

          public static final String PERMISSION_TUT

      See Also:
        Constant Field Values

    - #### PERMISSION_TER

          public static final String PERMISSION_TER

      See Also:
        Constant Field Values

    - #### NS_TACCUINO

          public static final String NS_TACCUINO

      See Also:
        Constant Field Values

    - #### NS_PREFIX_TACCUINO

          public static final String NS_PREFIX_TACCUINO

      See Also:
        Constant Field Values

    - #### HTTP_HEADER_TRANSACTION_ID

          public static final String HTTP_HEADER_TRANSACTION_ID

      See Also:
        Constant Field Values

    - #### HTTP_HEADER_SOAP_ACTION

          public static final String HTTP_HEADER_SOAP_ACTION

      See Also:
        Constant Field Values

    - #### ROLE_AMMINISTRATIVO

          public static final String ROLE_AMMINISTRATIVO

      See Also:
        Constant Field Values

    - #### ROLE_MEDICO_OSPEDALE

          public static final String ROLE_MEDICO_OSPEDALE

      See Also:
        Constant Field Values

    - #### ROLE_MEDICO_PS

          public static final String ROLE_MEDICO_PS

      See Also:
        Constant Field Values

    - #### ROLE_PORTALE_SALUTE

          public static final String ROLE_PORTALE_SALUTE

      See Also:
        Constant Field Values

    - #### ROLE_MEDICO_RSA

          public static final String ROLE_MEDICO_RSA

      See Also:
        Constant Field Values

    - #### ROLE_MMG_PLS

          public static final String ROLE_MMG_PLS

      See Also:
        Constant Field Values

    - #### ROLE_SPEC_AMBULATORIO

          public static final String ROLE_SPEC_AMBULATORIO

      See Also:
        Constant Field Values

    - #### ROLE_SPEC_OSPEDALE

          public static final String ROLE_SPEC_OSPEDALE

      See Also:
        Constant Field Values

    - #### ROLES_READWRITE

          public static final List<String> ROLES_READWRITE

    - #### ROLES_READONLY

          public static final List<String> ROLES_READONLY

  - ### Constructor Detail

    - #### ApplicationConstants

          public ApplicationConstants()

Copyright © 2024. All rights reserved.